## org.junit.runners.parameterized
Class TestWithParameters

    java.lang.Object
      org.junit.runners.parameterized.TestWithParameters

    public class TestWithParameters

extends Object

A `TestWithParameters` keeps the data together that are needed for creating a runner for a single data set of a parameterized test. It has a name, the test class and a list of parameters.

Since:
  4.12

Constructor Summary
`TestWithParameters(String name, TestClass testClass, List<Object> parameters)`

Method Summary
`boolean` `equals(Object obj)`
`String` `getName()`
`List<Object>` `getParameters()`
`TestClass` `getTestClass()`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestWithParameters

    public TestWithParameters(String name,
                              TestClass testClass,
                              List<Object> parameters)

Method Detail

### getName

    public String getName()

### getTestClass

    public TestClass getTestClass()

### getParameters

    public List<Object> getParameters()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2002–2020 JUnit. All rights reserved.